#include <math.h>
// #include "measurement.cpp"
// #include <iostream.h>

class Measurement {
private:
	int vp1_x; //1. vanishing point x koordintja
	int vp1_y; //1. vanishing point y koordintja
	int vp2_x; //2. vanishing point x koordintja
	int vp2_y; //2. vanishing point y koordintja
	int reftop_x; //ref.obj. tetejnek x koordintja
	int reftop_y; //ref.obj. tetejnek y koordintja
	int refdown_x; //ref.obj. aljnak x koordintja
	int refdown_y; //ref.obj. aljnak y koordintja
	float refsize; //referencia objektum mrete

	int mtop_x;		//mrend obj. tetejnek x koordintja
	int mtop_y;		//mrend obj. tetejnek y koordintja
	int mdown_x;	//mrend obj. aljnak x koordintja
	int mdown_y;	//mrend obj. aljnak y koordintja

	int width;		//kp magassga
	int height;		//kp szlessge


public:
	/* kp szlessge, kp magassga, vanishing pointok mtrixkoordintinak beadsa */
	Measurement(int w, int h, int vap1_x, int vap1_y, int vap2_x, int vap2_y);
	void setRefData( int ireftop_x, int ireftop_y, int irefdown_x, int irefdown_y, float frefsize);
	void setMeasureCoordinates(
					int imtop_x, //mrend tetejnek x koord.
					int imtop_y, //mrend tetejnek y koord.
					int imdown_x, //mrend aljnak x koord.
					int imdown_y); //mrend aljnak y koord.
	double calculateSize(); //mrend objektum mrett meghatroz metdus
};
