function focal_length_prob=senseOfTheFocalLength(f,picsize)
%for 35mm film... image=36x24mm: focal length=10-200mm ~ 24mm/2.4-24mm*8
% average focal length = 50 mm ~ 24mm*2

avg_focal_length=min(picsize)*1.5; %between normal(50mm) and wide(28mm) angle
max_focal_length=min(picsize)*10; 
min_focal_length=min(picsize)/5;  % => to support extreme lenses: filmsize/5-filmsize*10


if(f>min_focal_length && f<max_focal_length)
    % gauss2mf for focal length propability
    if(f>avg_focal_length)
        if(f>avg_focal_length+(max_focal_length-avg_focal_length)/2)
            focal_length_prob=exp(-(f-avg_focal_length-(max_focal_length-avg_focal_length)/2)^2/(2*((max_focal_length-avg_focal_length)/2)^2));
        else
            focal_length_prob=1;
        end
    else
        if(f<avg_focal_length-(avg_focal_length-min_focal_length)/2)                                                        
            focal_length_prob=exp(-(f-avg_focal_length+(avg_focal_length-min_focal_length)/2)^2/(2*((min_focal_length-avg_focal_length)/2)^2));
        else
            focal_length_prob=1;
        end
    end
else
    focal_length_prob=0;
end